Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.application
Class DebugLifecycle

    java.lang.Object
      javax.faces.lifecycle.Lifecycle
          org.ajax4jsf.application.DebugLifecycle

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.faces.event.PhaseListener

    public class DebugLifecycle

extends javax.faces.lifecycle.Lifecycle
implements javax.faces.event.PhaseListener

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:12 $
Author:
  shura (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEBUG_LYFECYCLE_ID`
`static java.lang.String` | `LIFECYCLE_ID_ATTR`
`static java.lang.String` | `PHASE_ID_PARAM`

Constructor Summary
`DebugLifecycle(javax.faces.lifecycle.Lifecycle default1)`
`DebugLifecycle(javax.faces.lifecycle.LifecycleFactory defaultFactory)`

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener arg0)`
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`void` | `execute(javax.faces.context.FacesContext context)`
`javax.faces.event.PhaseId` | `getPhaseId()`
`javax.faces.event.PhaseListener[]` | `getPhaseListeners()`
`void` | `removePhaseListener(javax.faces.event.PhaseListener arg0)`
`void` | `render(javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_LYFECYCLE_ID

    public static final java.lang.String DEBUG_LYFECYCLE_ID

See Also:
  Constant Field Values

### LIFECYCLE_ID_ATTR

    public static final java.lang.String LIFECYCLE_ID_ATTR

See Also:
  Constant Field Values

### PHASE_ID_PARAM

    public static final java.lang.String PHASE_ID_PARAM

See Also:
  Constant Field Values

Constructor Detail

### DebugLifecycle

    public DebugLifecycle(javax.faces.lifecycle.Lifecycle default1)

Parameters:
  `default1` -

### DebugLifecycle

    public DebugLifecycle(javax.faces.lifecycle.LifecycleFactory defaultFactory)

Method Detail

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener arg0)

  Specified by:
    `addPhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### execute

    public void execute(javax.faces.context.FacesContext context)
                 throws javax.faces.FacesException

  Specified by:
    `execute` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### getPhaseListeners

    public javax.faces.event.PhaseListener[] getPhaseListeners()

  Specified by:
    `getPhaseListeners` in class `javax.faces.lifecycle.Lifecycle`

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener arg0)

  Specified by:
    `removePhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### render

    public void render(javax.faces.context.FacesContext context)
                throws javax.faces.FacesException

  Specified by:
    `render` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.